<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:optim="http://www.ibm.com/optim/audit/v11.3.0.0"
	xmlns:optimreport="http://www.ibm.com/optim/report/v11.3.0.0"
	xmlns:optimcommon="http://www.ibm.com/optim/common/v11.3.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<xsl:import href="CommonTemplates.xsl"/>
	<xsl:import href="InsertReportTemplates.xsl"/>
	<xsl:output method="html" indent="yes" version="4.0"
		doctype-public="-//W3C//DTD HTML 4.01//EN" doctype-system="http://www.w3.org/TR/html4/strict.dtd" />

	<xsl:template match="optimreport:dataMaskStatistics">
		<xsl:call-template name="anchorSetup">
			<xsl:with-param name="name">masking</xsl:with-param>
		</xsl:call-template>
		<!-- Report Masking Policies Banner -->
		<xsl:call-template name="titleBar">
			<xsl:with-param name="name">Masking Statistics by Policy Used</xsl:with-param>
			<xsl:with-param name="containerId">maskingpolicy_container</xsl:with-param>
			<xsl:with-param name="containerClass">maskingpolicy_container_class</xsl:with-param>
			<xsl:with-param name="anchor">masking</xsl:with-param>
			<xsl:with-param name="closeByDefault">true</xsl:with-param>
		</xsl:call-template>
		
		<div id="maskingpolicy_container" class="section_container maskingpolicy_container_class" style="display:none" inAllAction="true">
			<xsl:for-each select="*">
				<xsl:call-template name="statisticTables">
					<xsl:with-param name="nodeName" select="name(.)"/>
				</xsl:call-template>
			</xsl:for-each>
		</div>
	</xsl:template>
</xsl:stylesheet>